MyGUI 3.2.2

Public Types | Public Member Functions | Friends
MyGUI::TextureUsage Struct Reference

`#include <MyGUI_RenderFormat.h>`

## Public Types
enum | Enum { Default = 0, Static = (1<<( 0 )), Dynamic = (1<<( 1 )), Stream = (1<<( 2 )), Read = (1<<( 3 )), Write = (1<<( 4 )), RenderTarget = (1<<( 5 )) }

## Public Member Functions
| TextureUsage (Enum _value=Default)
TextureUsage & | operator|= (TextureUsage const &_other)
bool | isValue (Enum _value) const
int | getValue () const

## Friends
bool | operator== (TextureUsage const &a, TextureUsage const &b)
bool | operator!= (TextureUsage const &a, TextureUsage const &b)
TextureUsage | operator| (Enum const &a, Enum const &b)
TextureUsage | operator| (TextureUsage const &a, TextureUsage const &b)

## Detailed Description

Definition at line 84 of file MyGUI_RenderFormat.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::TextureUsage::Enum

Enumerator
Default |
Static |
Dynamic |
Stream |
Read |
Write |
RenderTarget |

Definition at line 86 of file MyGUI_RenderFormat.h.

## Constructor & Destructor Documentation

## ◆ TextureUsage()

MyGUI::TextureUsage::TextureUsage | ( | Enum | _value = `Default` | ) |
| inline

Definition at line 97 of file MyGUI_RenderFormat.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::TextureUsage::getValue | ( |  | ) | const
| inline

Definition at line 133 of file MyGUI_RenderFormat.h.

## ◆ isValue()

bool MyGUI::TextureUsage::isValue | ( | Enum | _value | ) | const
| inline

Definition at line 128 of file MyGUI_RenderFormat.h.

## ◆ operator|=()

TextureUsage& MyGUI::TextureUsage::operator|= | ( | TextureUsage const & | _other | ) |
| inline

Definition at line 112 of file MyGUI_RenderFormat.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | TextureUsage const & | a,
|  | TextureUsage const & | b
| ) |  |
| friend

Definition at line 107 of file MyGUI_RenderFormat.h.

## ◆ operator==

bool operator== | ( | TextureUsage const & | a,
|  | TextureUsage const & | b
| ) |  |
| friend

Definition at line 102 of file MyGUI_RenderFormat.h.

## ◆ operator| [1/2]

TextureUsage operator| | ( | Enum const & | a,
|  | Enum const & | b
| ) |  |
| friend

Definition at line 118 of file MyGUI_RenderFormat.h.

## ◆ operator| [2/2]

TextureUsage operator| | ( | TextureUsage const & | a,
|  | TextureUsage const & | b
| ) |  |
| friend

Definition at line 123 of file MyGUI_RenderFormat.h.

The documentation for this struct was generated from the following file:

- MyGUI_RenderFormat.h